DateCritterProp (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.DateCritterProp class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Class DateCritterProp

    java.lang.Object
      org.hyperic.hq.grouping.prop.DateCritterProp

All Implemented Interfaces:
  CritterProp

    public class DateCritterProp

extends java.lang.Object
implements CritterProp

Constructor Summary
`DateCritterProp(java.lang.String id, java.util.Date value)`

Method Summary
`java.util.Date` | `getDate()`
`java.lang.String` | `getId()` Get some id that uniquely defines this prop in the context of a critter prop list.
`CritterPropType` | `getType()` The type that created this prop.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateCritterProp

    public DateCritterProp(java.lang.String id,
                           java.util.Date value)

Method Detail

### getDate

    public java.util.Date getDate()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public CritterPropType getType()

  Description copied from interface: `CritterProp`
  The type that created this prop.

  Specified by:
    `getType` in interface `CritterProp`

### getId

    public java.lang.String getId()

  Description copied from interface: `CritterProp`
  Get some id that uniquely defines this prop in the context of a critter prop list. e.g. resourceName, startDate, etc. This id allows an XML document to setup new props.

  Specified by:
    `getId` in interface `CritterProp`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.